javax.jcr.nodetype

## Interface NodeTypeIterator

All Superinterfaces:
  java.util.Iterator, RangeIterator

    public interface NodeTypeIterator
    extends RangeIterator

An iterator for `NodeType` objects.

### Method Summary

All Methods Instance Methods Abstract Methods
`NodeType` `nextNodeType()` Returns the next `NodeType` in the iteration.

### Methods inherited from interface javax.jcr.RangeIterator

`getPosition, getSize, skip`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### nextNodeType

    NodeType nextNodeType()

Returns the next `NodeType` in the iteration.

Returns:
  the next `NodeType` in the iteration.
Throws:
  `java.util.NoSuchElementException` - if iteration has no more `NodeType`s.

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.